Next: memmem, Previous: memcmp, Up: Strings

### 5.8 `memcpy`—copy memory regions

Synopsis

         #include <string.h>
         void* memcpy(void *restrict out, const void *restrict in,
             size_t n);

Description
This function copies n bytes from the memory region pointed to by in to the memory region pointed to by out.

If the regions overlap, the behavior is undefined.

Returns
`memcpy` returns a pointer to the first byte of the out region.

Portability
`memcpy` is ANSI C.

`memcpy` requires no supporting OS subroutines.